/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

//shopId = "e303744b-1330-4ae1-b945-2ab60446d5fa"; // !! DEBUG

var items = new Array(); // サーチ結果を保持
var panoramas = new Array(); // パノラマのリスト
var panoramaNameTbl = new Object(); // パノラマId->パノラマ名変換テーブル
var panoVisitList = new Object(); // パノラマ訪問済みリスト
var itemDetailCheckList = new Object(); // アイテム詳細閲覧リスト
var firstVisit = true;
var firstNaviClose = true;
var isipad = false;
var isiphone = false;
var productCategory = null;

function setProductCategory(category){
        productCategory = category;
}

function setProductTitle(title){
//	productTitle = title;
	productTitle = HtmlDecode(title);
}


function opening()
{
    if (firstVisit) {
        if (!isiphone) { // iPhoneはイントロページを出さない
            showNaviPage('', '../../pvs/customize/tc360/nav_page.html');
        }
        else{
            
        }
        firstVisit = false;        
        }
}

function hideNaviPage()
{
    $("#popup_overlay").hide();
    $("#popup").hide();
    
    if (firstNaviClose) {
        var krpano = document.getElementById("krpanoSWFObject");  
//        krpano.call("action(ready_affordance);");
    
        firstNaviClose = false;
    }
}
           
function showNaviPage(title, page)
{       
    // 画面サイズの取得
    var windowWidth = $(window).width();
    var windowHeight = $(window).height();
        
    $("#popup_overlay").css("width", windowWidth);
    $("#popup_overlay").css("height", windowHeight);    
     
    // iphone以外はヘッダ表示
    if (!isiphone) {
        $("#header").fadeIn();
    }

    // Popupセンタリング
    var w = 300;
    var h = 480;
    $("#popup").css("width", w);
    $("#popup").css("height", h);
    $("#popup").css("left", windowWidth / 2 - w / 2);
    $("#popup").css("top", windowHeight / 2 - h / 2 + 20);
                
    // ポップアップを表示
    $("#popup").show();
    $("#popup_overlay").show();
         
    // タイトルのセット
    $("#popup_caption").html(title);
              
    // 現在表示ページのファイル読み込み
    var httpObj = jQuery.get(page, null, function(){
        if (httpObj.responseText != null) {
            $("#popup_body").html(httpObj.responseText);
        }       
        
        // クローズボタン押したときの挙動
        $("#popup_closeWindow").click(function(){
            hideNaviPage();
        });        
    });
    
}


function showItemInfo(title, brand, price, description, linkurl, imageurl)
{     
    var krpano = document.getElementById("krpanoSWFObject");
    
    var title_tag = "<p>" + title + "</p>";
    var brand_tag = "<p>" + brand + "</p>";
    var price_tag = "<p>" + price + "</p>";
    var description_tag = "<p>" + description + "</p>";
    var image_tag = "<p><img src='" + imageurl + "' width='400' /></p>";
      
    // 新しいデータをセット
    krpano.call("set(data[htmldata_title].content, '" + title_tag + "');");  
    krpano.call("set(data[htmldata_brand].content, '" + brand_tag + "');"); 
    krpano.call("set(data[htmldata_price].content, '" + price_tag + "');"); 
    krpano.call("set(data[htmldata_description].content, '" + description_tag + "');");
    krpano.call("set(data[htmldata_image].content, '" + image_tag + "');");
    krpano.call("set(imageURL, '" + imageurl + "');"); // no-image画像かどうかの判定用
    krpano.call("set(linkURL, '" + linkurl + "');"); 

    // データをプラグインに反映させる
    krpano.call("set(plugin[item_textPrice].html, 'data:htmldata_price')");
    krpano.call("set(plugin[item_textTitle].html, 'data:htmldata_title')");
    krpano.call("set(plugin[item_textBrand].html, 'data:htmldata_brand')");
    krpano.call("set(plugin[item_textDescription].html, 'data:htmldata_description')");
    krpano.call("set(plugin[item_textImage].html, 'data:htmldata_image')");
     
    // 画面開く
    krpano.call("action(open_itemInfoWindow);");
}

$(function(){

    // ＵＡ判定
    var agent = navigator.userAgent;
    
    if(agent.search(/iPhone/) > -1) {
        isiphone = true;
    } else if (agent.search(/iPad/) > -1) {
        isipad = true;
    }
        
    // loading表示
    $('span.loading').bind('ajaxStart', function() {
        $(this).show();
    }).bind('ajaxStop', function() {
        $(this).hide();
    });

    $("#popup_iphone_button").click(function(){
        hideNaviPage_iphone();
    });
    


});

function GetFileName(file_url){
    file_url = file_url.substring(file_url.lastIndexOf("/")+1,file_url.length)
    //拡張子も取り除く場合は次の行のコメントアウトをはずしてください
    file_url = file_url.substring(0,file_url.indexOf("."));
    return file_url;
}



// スクリーンサイズ（ブラウザの表示領域）取得
function getScreenSize()
{
    var obj = new Object( );
        
//    obj.width = document.documentElement.clientWidth;
//    obj.height = document.documentElement.clientHeight;
    obj.width = document.documentElement.clientWidth || document.body.clientWidth || document.body.scrollWidth;
    obj.height = document.documentElement.clientHeight || document.body.clientHeight || document.body.scrollHeight;
    
//    console.log("screen width=" +  obj.width);
//    console.log("screen height=" +  obj.height);
        
    return obj;
}




// マップ表示
function showMap()
{
    var krpano = document.getElementById("krpanoSWFObject");  
    krpano.call("action(zoommap_open);");
}

// パノラマ閲覧記録をつける
function updatePanoVisitList(id)
{
    panoVisitList[id] = true;
        
    // クラスを変更する
    $(".panoramaItemCaption[panoid=" + id + "]").addClass("panoramaSelectedItemCaption");
    $(".panoramaItemCaption[panoid=" + id + "]").removeClass("panoramaItemCaption");   
}

// アイテム詳細閲覧記録をつける
function updateItemDetailCheckList(id)
{
    itemDetailCheckList[id] = true;
}

// アイテム詳細ポップアップを閉じる(Flashのときのみ有効)
function hideItemDetail()
{
    var krpano = document.getElementById("krpanoSWFObject");  
    krpano.call("action(hideDetail);");
}


// パノラマIdを保持する
function setPanoramaId(id)
{
    panoId = id;    
    showPanoramaName();
}

function showPanoramaName()
{
//    panoId = "7a2fc012-5401-4078-bb69-0f4d4903c112"; // !! DEBUG
    //    console.log("panoName=" + panoramaNameTbl[panoId]);  

    $("#areaname").html(panoramaNameTbl[panoId]);
}

// 税込み
function setProductPriceWithTax(price){
    if (price == "") {
        productPrice = "";
    } else {
        num = Number(price);
        num = Math.floor(num * 1.05);
        productPrice = "￥" + num + "～";
    } 
}

// 税込み（～表記なし）
function setProductPriceWithTaxWithoutRange(price){
    if (price == "") {
        productPrice = "";
    } else {
        num = Number(price);
        num = Math.floor(num * 1.05);
        productPrice = "￥" + num;
    } 
}

// ポップアップ表示
function showItemtc360()
{   
    if( $("#myItem").length<=0 ){
        $("body").append("<div id='myItem'></div>");
    }
    
    // div#myItemを表示
    $("div#myItem").show();
    
    var html = "<div id='myItemInner'>";
    
//    html += "<div id='productTitle' style='font-size;16px;font-weight:bold;width:200px;height:16px;overflow:hidden;'>"+productTitle+"</div>";

    if( productImage != "" ){
        html += "<img id='productImage' src='"+productImage+"'/>";
    }
    else // レイアウトが崩れないように値がnullでもタグは作る
    {
        html += "<img id='productImage' src=''/>";
    }
    
    if( productCategory != "" ){
        html += "<div id='productPrice' >"+productCategory+"</div>";
    }	
    else // レイアウトが崩れないように値がnullでもタグは作る
    {
        html += "<div id='productPrice' >";        
    }
   
    if( productDescription != "" ){
        html += "</div><div id='productDescription' ><p>"+productDescription+"</p></div>";
    } 
    else // レイアウトが崩れないように値がnullでもタグは作る
     {
        html += "</div><div id='productDescription' ><p></p></div>";        
    }
    html += "<br clear='all' />";
//    html += "<a id='productTwitter' href='javascript:onTweet_tc360();'></a>";
    html += "<a id='productDetail' href='"+productUrl+"' target='_blank'>"+productDetail+"</a>";
    html += "</div>"; 
    
    $("#myItem").html(html);
    
    title = truncate(productTitle,40);

    tb_show(title,"#TB_inline?height=320&width=310&inlineId=myItem"); 

    $("div#TB_ajaxContent").css("height","auto");
    $("div#TB_ajaxContent").css("width","340");
    
    // closeボタンを押したとき
    $("div#TB_closeAjaxWindow").click(function(){
        // popupを非表示にする
        tb_remove();

    });
}

// ポップアップ表示(iPhone用)
function showItemtc360_iPhone()
{   
    if( $("#myItem").length<=0 ){
        $("body").append("<div id='myItem'></div>");
    }
    
    // --------------DEBUG---------------
    //alert('iPhone用!');
    //-----------------------------------

    // div#myItemを表示
    $("div#myItem").show();
    
    var html = "<div id='myItemInner'>";
    
//    html += "<div id='productTitle' style='font-size;16px;font-weight:bold;width:200px;height:16px;overflow:hidden;'>"+productTitle+"</div>";

    if( productImage != "" ){
        html += "<div id='imgprcbox'><img id='productImage' src='"+productImage+"'/>";
    }
    else // レイアウトが崩れないように値がnullでもタグは作る
    {
        html += "<div id='imgprcbox'><img id='productImage' src=''/>";
    }
    
//    if( productPrice != "" ){
//       html += "<div id='productPrice' >"+productPrice+"</div>";
//   }	
//    else // レイアウトが崩れないように値がnullでもタグは作る
//    {
//        html += "<div id='productPrice' ></div>";        
//    }
   
    if( productDescription != "" ){
        html += "</div><div id='productDescription' ><p>"+productDescription+"</p></div>";
    } 
    else // レイアウトが崩れないように値がnullでもタグは作る
     {
        html += "</div><div id='productDescription' ><p></p></div>";        
    }
 
    html += "<br clear='all'>";
//    html += "<a id='productTwitter' href='javascript:onTweet_alexious();' style='float:left;display:block;background:url(http://storage.panoplaza.com/pvs/btn/tweet.png);width:55px;height:20px;'></a>";
    html += "<a id='productDetail' href='"+productUrl+"' target='_blank' style='float:right;'>"+productDetail+"</a>";
    html += "</div>"; 
    
    $("#myItem").html(html);
    
    title = truncate(productTitle,40);

    tb_show(title,"#TB_inline?height=320&width=310&inlineId=myItem"); 

    $("div#TB_ajaxContent").css("height","auto");
    
    // closeボタンを押したとき
    $("div#TB_closeAjaxWindow").click(function(){
        // popupを非表示にする
        tb_remove();
        
    });
}


function onTweet_tc360()
{
    var login  = 'kadinche';
    var apiKey = 'R_d20834c58d0bba3fa0c1fbfb95d58cd9';
    bitly = 'http://api.bit.ly/shorten' 
        + '?version=2.0.1&format=json&callback=callback_tc360'
        + '&login=' + login
        + '&apiKey=' + apiKey + '&longUrl=';
    var script = document.createElement('script');
    script.type = 'text/javascript';
    script.src = bitly + encodeURIComponent(productDirect);
    document.body.appendChild(script);
}


function callback_tc360(bitlyResult)
{
        var status = "";
    
	if( hashTag == null ){
		status = encodeURIComponent(productTitle+" "+bitlyResult.results[productDirect]['shortUrl']+"");
        }else if (hashTag == "") {
                status = encodeURIComponent(productTitle+" "+bitlyResult.results[productDirect]['shortUrl']);
	}else{
		status = encodeURIComponent(productTitle+" "+bitlyResult.results[productDirect]['shortUrl']+" "+hashTag);
	}
	window.open('http://twitter.com/home/?status='+status)
}